#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run botje with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='botje',
    version='37',
    url='https://pikacode.com/milla/botje',
    author='Bart Thate',
    author_email='milla@dds.nl',
    description='xmpp, irc, shell, cli, json - email at milla@dds.nl',
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["distribute", "beautifulsoup4", "sleekxmpp", "natural", "feedparser", ],
    scripts=["bin/botje", "bin/outje", "bin/sedje", ],
    packages=['bot', 
              'bot.plugs',
             ],
    long_description = """ 

de situatie nu, wanneer de wil van god NIET gedaan word

1) vrijheids ontneming
2) wils ontneming
3) wils inlegging
4) vereiste tegenwil
5) zonde vanwege de tegenwil
6) zonde als argument om de dood te brengen
7) terug naar de "goede" god

situatie hoe het zou moeten zijn:

1) schepping is gemaakt in vrije wel, zonder vrije wil kan de schepping niet
goed functioneren
2) hoeders van de schepping hebben dus als taak de vrije wil te beschermen
omdat alle ellende volgt uit het ontnemen van de vrije wil.
3) beheer van de schepping is om het al in de schepping liggende groei
patroon ook tot stand te laten komen
4) scheppings beheerders moeten voorkomen dat zij anders dan hun taak hier
in de schepping vervullen.
5) de schepping moet bloeien onder het beheer en niet tot verderf vervallen
6) een hel is al een teken dat er disbalans is in het beheer wat er over de
schepping gevoerd word.
7) goed praten van het leed is dan ook uit den boze !!

voor de mens:

1) leef in vrijheid, laat hem je niet afnemen
2) in die vrijheid, ontwikkel jezelf zoals jij dat het beste vind
3) vecht voor de vrijheid van anderen, laat die niet hun vrijheid ontnomen
worden
4) is de wil van niet goede aard, dan is dat een teken dat de vrijheid
ontnomen is
5) de wil die van nature in de mens is, is een goede
6) met de goede wil zet je je in voor de schepping
7) als de mens zich inzet voor de schepping is hij op zijn plaats, voelt hij
zich ook gelukkig.


""",
    data_files=[('docs', ["docs/zoishet", "docs/lanes", "docs/story", "docs/fases"]),],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
